Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.url
Class BasicURLHandler

    java.lang.Object
      fr.jayasoft.ivy.url.AbstractURLHandler
          fr.jayasoft.ivy.url.BasicURLHandler

All Implemented Interfaces:
  URLHandler

public class BasicURLHandler
extends AbstractURLHandler

Author:
  Xavier Hanin

Nested Class Summary

Nested classes inherited from class fr.jayasoft.ivy.url.URLHandler
`URLHandler.URLInfo`

Field Summary

Fields inherited from interface fr.jayasoft.ivy.url.URLHandler
`UNAVAILABLE`

Constructor Summary
`BasicURLHandler()`

Method Summary
`void` | `download(java.net.URL src, java.io.File dest, CopyProgressListener l)`
`URLHandler.URLInfo` | `getURLInfo(java.net.URL url)` never returns null, return UNAVAILABLE when url is not reachable
`URLHandler.URLInfo` | `getURLInfo(java.net.URL url, int timeout)` never returns null, return UNAVAILABLE when url is not reachable
`java.io.InputStream` | `openStream(java.net.URL url)`

Methods inherited from class fr.jayasoft.ivy.url.AbstractURLHandler
`getContentLength, getContentLength, getLastModified, getLastModified, isReachable, isReachable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicURLHandler

    public BasicURLHandler()

Method Detail

### getURLInfo

    public URLHandler.URLInfo getURLInfo(java.net.URL url)

  Description copied from interface: `URLHandler`
  never returns null, return UNAVAILABLE when url is not reachable

  Parameters:
    `url` -
  Returns:

### getURLInfo

    public URLHandler.URLInfo getURLInfo(java.net.URL url,
                                         int timeout)

  Description copied from interface: `URLHandler`
  never returns null, return UNAVAILABLE when url is not reachable

  Parameters:
    `url` -
  Returns:

### openStream

    public java.io.InputStream openStream(java.net.URL url)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### download

    public void download(java.net.URL src,
                         java.io.File dest,
                         CopyProgressListener l)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD